Subject: bug#19004: 24.4; Please provide a non-regexp interface to occur

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 28 May 2021 04:20:06 +0200

Juliusz Chroboczek <[email-masked]> writes:

> I like occur a lot, but I find it inflexible -- the matched lines can only
> be specified by a regexp.  I'd like to be aple to pass a function to occur
> instead of a regexp.

(I'm going through old bug reports that unfortunately got little response at
the time.)

There are many ways to search in Emacs, and there's a some packages that
provide structured searching, too.  (For instance, to search based on
semantic qualities in the code.)

Given that, I don't think it makes that much sense to extend the `occur'
command itself -- it does the thing it does very well, and extending it
in that way would make an already complex command even more complicated.

So I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no